Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## reedSolomon
Class Matrix

    java.lang.Object
      reedSolomon.Matrix

    public class Matrix

extends java.lang.Object

This class provides library of basic methods for operations over matricies. This matricies are by default considered to be over finite fields of size of 2^16.

See Also:
  `iField`

Constructor Summary
`Matrix()` Default constructor creates matrix library working over finite fields of size 2^16.
`Matrix(iField f)` This constructor allows user to specify field over which are operations performed.

Method Summary
`int[][]` | `eliminate(int[][] A)` This method performs gaussian elimination over given matrix and as result returns inverse matrix A^(-1) such that A^(-1) * A = I, where I is identity matrix.
`int[][]` | `multiply(int[][] A, int[][] B)` This method multiplies two matricies by standard algorithm.
`int[]` | `multiplyByVector(int[][] A, int[] v)` This method multiplies given matrix by single column matrix derived from given vector.
`void` | `setField(iField ff)` This method enables user to set field used for calculations.
`int[][]` | `transponate(int[][] A)` Calculates matrix A^T.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Matrix

    public Matrix()

  Default constructor creates matrix library working over finite fields of size 2^16.

### Matrix

    public Matrix(iField f)

  This constructor allows user to specify field over which are operations performed.

  Parameters:
    `f` -

Method Detail

### setField

    public void setField(iField ff)

  This method enables user to set field used for calculations.

  Parameters:
    `ff` - field

### eliminate

    public int[][] eliminate(int[][] A)

  This method performs gaussian elimination over given matrix and as result returns inverse matrix A^(-1) such that A^(-1) * A = I, where I is identity matrix.

  Parameters:
    `A` - matrix
  Returns:
    inverse matrix

### multiply

    public int[][] multiply(int[][] A,
                            int[][] B)

  This method multiplies two matricies by standard algorithm. If sizes of matricies do not match, result is undefined.

  Parameters:
    `A` - matrix
    `B` - matrix
  Returns:
    matrix C such that C = A * B

### transponate

    public int[][] transponate(int[][] A)

  Calculates matrix A^T.

  Parameters:
    `A` - matrix
  Returns:
    matrix

### multiplyByVector

    public int[] multiplyByVector(int[][] A,
                                  int[] v)

  This method multiplies given matrix by single column matrix derived from given vector. Lenght of vector and number of columns in matrix must match.

  Parameters:
    `A` - matrix
    `v` - vector
  Returns:
    matrix equal to A*v^T

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD